

#ifndef RBA_DEMOBDBASIC_NVMCALLBACKS_H
#define RBA_DEMOBDBASIC_NVMCALLBACKS_H

#include "rba_DemObdBasic_Types.h"

#define DEM_START_SEC_ROM_CODE
#include "Dem_Cfg_MemMap.h"

Std_ReturnType rba_DemObdBasic_PdtcMemWriteRamBlockToNvCallback(void* NvMBuffer);
Std_ReturnType rba_DemObdBasic_PdtcMemReadRamBlockFromNvCallback(void* NvMBuffer);

#if DEM_CFG_OBD_IUMPR
Std_ReturnType rba_DemObdBasic_IumprWriteRamBlockToNvCallback(void* NvMBuffer);
Std_ReturnType rba_DemObdBasic_IumprReadRamBlockFromNvCallback(void* NvMBuffer);
#endif

#define DEM_STOP_SEC_ROM_CODE
#include "Dem_Cfg_MemMap.h"

#endif

